## edu.stanford.nlp.trees
Class Dependencies

    java.lang.Object
      edu.stanford.nlp.trees.Dependencies

    public class Dependencies

extends Object

Utilities for Dependency objects.

Author:
  Christopher Manning

Nested Class Summary
`static class` `Dependencies.DependentPuncTagRejectFilter<G extends Label,D extends Label,N>`
`static class` `Dependencies.DependentPuncWordRejectFilter<G extends Label,D extends Label,N>`

Method Summary
`static Comparator<Dependency>` `dependencyIndexComparator()` A Comparator for Dependencies based on their dependent annotation.
`static Counter<List<TypedDependency>>` `getTypedDependencyChains(List<TypedDependency> deps, int maxLength)`
`static Map<TreeGraphNode,List<TypedDependency>>` `govToDepMap(List<TypedDependency> deps)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### govToDepMap

    public static Map<TreeGraphNode,List<TypedDependency>> govToDepMap(List<TypedDependency> deps)

### getTypedDependencyChains

    public static Counter<List<TypedDependency>> getTypedDependencyChains(List<TypedDependency> deps,
                                                                          int maxLength)

### dependencyIndexComparator

    public static Comparator<Dependency> dependencyIndexComparator()

  A Comparator for Dependencies based on their dependent annotation. It will only work if the Labels at the ends of Dependencies have an index().

  Returns:
    A Comparator for Dependencies

Stanford NLP Group